summaryrefslogtreecommitdiff
path: root/localmpdpopulate
diff options
context:
space:
mode:
authorJonas Smedegaard <dr@jones.dk>2009-08-07 14:48:24 +0200
committerJonas Smedegaard <dr@jones.dk>2009-08-07 14:48:24 +0200
commitd20501f75f1cade4f02fe96855b2e39b98683d83 (patch)
tree43039a2267182b9a42b270ed39c880a361e816ac /localmpdpopulate
parentacfeb3c3e7ce9fe2a25651e2a119bd55b47cdff3 (diff)
Add new script localmpdpopulate.
Diffstat (limited to 'localmpdpopulate')
-rwxr-xr-xlocalmpdpopulate30
1 files changed, 30 insertions, 0 deletions
diff --git a/localmpdpopulate b/localmpdpopulate
new file mode 100755
index 0000000..8b6fdf7
--- /dev/null
+++ b/localmpdpopulate
@@ -0,0 +1,30 @@
+#!/bin/sh
+#
+# Copyright © 2006-2008 Jonas Smedegaard <dr@jones.dk>
+# Description: Make symlink farm from /src/music/* for MPD
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
+# 02111-1307 USA.
+#
+# Depends: xutils-dev
+
+# FIXME: resolve fromdir instead of using hardcoded list
+# TODO: somehow support prioritizing without hardcoding fromdir
+
+set -e
+
+for fromdir in henrik alvilda asbjorn siri-old siri jonas-old jonas; do
+ lndir -silent -ignorelinks /srv/music/"$fromdir" /var/lib/mpd/music
+done